edu.cmu.pslc.logging.element

## Class ClassElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.ClassElement

-     public class ClassElement
      extends java.lang.Object

  Class element.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassElement()` Constructor.
    `ClassElement(java.lang.String name, java.lang.String school, java.lang.String period, java.lang.String description)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInstructor(java.lang.String instructor)` Adds instructor.
    `java.lang.String` | `getDescription()` Gets description.
    `java.util.List` | `getInstructorList()` Gets instructorList.
    `java.lang.String` | `getName()` Gets name.
    `java.lang.String` | `getPeriod()` Gets period.
    `java.lang.String` | `getSchool()` Gets school.
    `void` | `setDescription(java.lang.String description)` Sets description.
    `void` | `setName(java.lang.String name)` Sets name.
    `void` | `setPeriod(java.lang.String period)` Sets period.
    `void` | `setSchool(java.lang.String school)` Sets school.
    `java.lang.String` | `toString()` toString.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassElement

          public ClassElement()

      Constructor.

    - #### ClassElement

          public ClassElement(java.lang.String name,
                      java.lang.String school,
                      java.lang.String period,
                      java.lang.String description)

      Constructor.
      Parameters:
        `name` - name
        `school` - school
        `period` - period
        `description` - description

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets name.
      Returns:
        name

    - #### setName

          public void setName(java.lang.String name)

      Sets name.
      Parameters:
        `name` - name

    - #### getDescription

          public java.lang.String getDescription()

      Gets description.
      Returns:
        description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets description.
      Parameters:
        `description` - description

    - #### getInstructorList

          public java.util.List getInstructorList()

      Gets instructorList.
      Returns:
        instructorList

    - #### addInstructor

          public void addInstructor(java.lang.String instructor)

      Adds instructor.
      Parameters:
        `instructor` - instructor

    - #### getPeriod

          public java.lang.String getPeriod()

      Gets period.
      Returns:
        period

    - #### setPeriod

          public void setPeriod(java.lang.String period)

      Sets period.
      Parameters:
        `period` - period

    - #### getSchool

          public java.lang.String getSchool()

      Gets school.
      Returns:
        school

    - #### setSchool

          public void setSchool(java.lang.String school)

      Sets school.
      Parameters:
        `school` - school

    - #### toString

          public java.lang.String toString()

      toString.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        string version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center